# Class SendDisputeChatMessageRequest

#### Hierarchy

- unknown
  - SendDisputeChatMessageRequest

- Defined in src/protobuf/grpc_pb.d.ts:558
- Defined in src/protobuf/grpc_pb.d.ts:578

#####
Index

### Constructors

constructor

### Methods

addAttachments
clearAttachmentsList
getAttachmentsList
getDisputeId
getMessage
serializeBinary
setAttachmentsList
setDisputeId
setMessage
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new SendDisputeChatMessageRequest(): SendDisputeChatMessageRequest

- #### Returns SendDisputeChatMessageRequest

  Inherited from jspb.Message.constructor

## Methods

### addAttachments

- addAttachments(value?: Attachment, index?: number): Attachment

- #### Parameters

  - ##### `Optional` value: Attachment

  - ##### `Optional` index: number

  #### Returns Attachment

  - Defined in src/protobuf/grpc_pb.d.ts:568

### clearAttachmentsList

- clearAttachmentsList(): SendDisputeChatMessageRequest

- #### Returns SendDisputeChatMessageRequest

  - Defined in src/protobuf/grpc_pb.d.ts:567

### getAttachmentsList

- getAttachmentsList(): Attachment[]

- #### Returns Attachment[]

  - Defined in src/protobuf/grpc_pb.d.ts:565

### getDisputeId

- getDisputeId(): string

- #### Returns string

  - Defined in src/protobuf/grpc_pb.d.ts:559

### getMessage

- getMessage(): string

- #### Returns string

  - Defined in src/protobuf/grpc_pb.d.ts:562

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/grpc_pb.d.ts:570

### setAttachmentsList

- setAttachmentsList(value: Attachment[]): SendDisputeChatMessageRequest

- #### Parameters

  - ##### value: Attachment[]

  #### Returns SendDisputeChatMessageRequest

  - Defined in src/protobuf/grpc_pb.d.ts:566

### setDisputeId

- setDisputeId(value: string): SendDisputeChatMessageRequest

- #### Parameters

  - ##### value: string

  #### Returns SendDisputeChatMessageRequest

  - Defined in src/protobuf/grpc_pb.d.ts:560

### setMessage

- setMessage(value: string): SendDisputeChatMessageRequest

- #### Parameters

  - ##### value: string

  #### Returns SendDisputeChatMessageRequest

  - Defined in src/protobuf/grpc_pb.d.ts:563

### toObject

- toObject(includeInstance?: boolean): SendDisputeChatMessageRequest.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns SendDisputeChatMessageRequest.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:571

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): SendDisputeChatMessageRequest

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns SendDisputeChatMessageRequest

  - Defined in src/protobuf/grpc_pb.d.ts:574

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: SendDisputeChatMessageRequest, reader: BinaryReader): SendDisputeChatMessageRequest

- #### Parameters

  - ##### message: SendDisputeChatMessageRequest

  - ##### reader: BinaryReader

  #### Returns SendDisputeChatMessageRequest

  - Defined in src/protobuf/grpc_pb.d.ts:575

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: SendDisputeChatMessageRequest, writer: BinaryWriter): void

- #### Parameters

  - ##### message: SendDisputeChatMessageRequest

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/grpc_pb.d.ts:573

### `Static` toObject

- toObject(includeInstance: boolean, msg: SendDisputeChatMessageRequest): SendDisputeChatMessageRequest.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: SendDisputeChatMessageRequest

  #### Returns SendDisputeChatMessageRequest.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:572

Generated using TypeDoc